<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>
<body>
    <h1>hola</h1>
    <div id="cosas">
        <p>RELLENO NOSEQUE LOREM IPSUM BLABLABLA</p>

    </div>


    <script>
        //GENERO UNAS COOKIES PORQUE SI PORQUE SOY UNA CHULA
        //AHORA ESTAS COOKIES SON LAS DEFAULT LOL
        document.cookie = "fondo=blue";
        document.cookie = "fuente=red";    

        

        var ventanaEmergente = window.open("", "", "width=500,height=500");     //ABRO UNA VENTANA Y DECIDO UN TAMAÑO NOSE
        ventanaEmergente.addEventListener("beforeunload", function () {         //FUNCIÓN QUE NOS PROPORCIONA ALICIA SADJHJAS
            ventanaEmergente.opener.postMessage("ventana_cerrada", "*");
        });
        const bodyVentana = ventanaEmergente.document.querySelector("body");      //SELECIONO EL BODY DE LA PÁGINA EMERGENTE
        
        //GENERO MIL BOTONES PORQUE SON MI PASIÓN <3
        var button = document.createElement("button");                                  // DOM                 
        button.appendChild(document.createTextNode("MODO NOCHE"));                      // DOM
        button.addEventListener("click", () => cambiarCookies("black", "white"));       // EVENTS
        bodyVentana.appendChild(button);                                                // DOM                                   

        var button2 = document.createElement("button");                 
        button2.appendChild(document.createTextNode("MODO ROSA"));
        button2.addEventListener("click", () => cambiarCookies("pink", "yellow"));      //SIN LA FUNCIÓN FLECHA ME EJECUTA LA FUNCIÓN SIN PULSAR EL BOTÓN:(       
        bodyVentana.appendChild(button2);                            
        
        var button3 = document.createElement("button");                     
        button3.appendChild(document.createTextNode("APLICAR CAMBIOS"));
        button3.addEventListener("click", () => {ventanaEmergente.close()});    //PARA CERRAR LA VENTANA
        bodyVentana.appendChild(button3);                            
        
        //ESTAS DOS FUNCIONES HACEN LO MISMO PERO ME DABA PALO PARAMETRIZAR SINCERAMENTE
        //SEGÚN EL BOTÓN QUE SE PULSA, SE SOBREESCRIBE (entiendo que hace eso lol no os voy a mentir) EL VALOR DE LA COOKIE 
        //A TRAVÉS DEL "document.cookie"
        function cambiarCookies(fondo, fuente){
            var cookies = document.cookie;
            var arrayCookies= cookies.split(";");          //ALICIA EN SU POWERPOINT EXPLICA QUE VAN SEPARADAS POR ;
            
            for(i = 0; i<arrayCookies.length; i++){         //EL STRING ES DEL FORMATO: "fuente=white"
                if(arrayCookies[i].includes("fondo")){
                    document.cookie = "fondo=" + fondo;
                }
                if(arrayCookies[i].includes("fuente")){
                    document.cookie = "fuente=" + fuente;
                }
            }            
        }    

        //OTRA FUNCIÓN SUPER CHULA QUE NOS DA ALICIA
        window.addEventListener("message", function (event) {       //CASI NO ENTIENDO NADA
                if (event.data === "ventana_cerrada") {
                    cambiarDatos();         
            }
        });

        function cambiarDatos(){
            var cookies = document.cookie;
            var arrayCookies= cookies.split(";");
            var body = document.querySelector("body");
            
            var fondo;
            var fuente; 
            
            for(i = 0; i<arrayCookies.length; i++){
                if(arrayCookies[i].includes("fondo")){              
                    var index = arrayCookies[i].indexOf("=");       //COJO EL INDICE DE = PARA QUEDARME SOLO VALOR DE LA COOKIE
                    var fondo = arrayCookies[i].substring(index+1, arrayCookies[i].length);     //ELIMINO LA PARTE "fondo=" Y ME QUEDO SOLO CON "white"
                    body.style.backgroundColor = fondo;             //MODIFICO EL ESTILO
                }
                if(arrayCookies[i].includes("fuente")){
                    var index = arrayCookies[i].indexOf("=");
                    var fuente = arrayCookies[i].substring(index+1, arrayCookies[i].length);
                    body.style.color = fuente;
                }
            }            
        }
    </script>
</body>
</html>